Package uk.ac.starlink.topcat.contrib.basti

## Class BaSTITableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.topcat.contrib.basti.BaSTITableLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`

      public class BaSTITableLoadDialog
      extends uk.ac.starlink.table.gui.AbstractTableLoadDialog

  Author:
    molinaro, taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaSTITableLoadDialog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createQueryComponent()` |
    `uk.ac.starlink.table.gui.TableLoader` | `createTableLoader()` |

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaSTITableLoadDialog

          public BaSTITableLoadDialog()

  - ### Method Detail

    - #### createTableLoader

          public uk.ac.starlink.table.gui.TableLoader createTableLoader()

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent()

      Specified by:
        `createQueryComponent` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.